Summary: A multi-platform helper library for other libraries
Name: gwenhywfar
Version: 4.15.3
Release: 2%{?dist}
# Download is PHP form at http://www.aquamaniac.de/sites/download/packages.php
Source: %{name}-%{version}.tar.gz
Group: System Environment/Libraries
License: LGPLv2+
Patch: gwenhywfar-3.4.1-pkgconfig.patch
Patch2: gwen-gcc47.patch
URL: http://www.aquamaniac.de/sites/download/packages.php?package=01&showall=1
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: cmake
BuildRequires: gnutls-devel gettext libgcrypt-devel openssl-devel
BuildRequires: gtk2-devel >= 2.17.5, qt4-devel >= 4.3.0
Requires: ca-certificates
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and AqBanking/AqHBCI, the German online banking libraries.

%package devel
Summary: Gwenhywfar development kit
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
# Workaround for #1207945
Requires: %{name}-gui-qt4%{?_isa} = %{version}-%{release}
Requires: %{name}-gui-gtk2%{?_isa} = %{version}-%{release}
Requires: pkgconfig
%description devel
This package contains gwenhywfar-config and header files for writing and
compiling programs using Gwenhywfar.

%package gui-gtk2
Summary: Gwenhywfar GUI framework for GTK2
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
%description gui-gtk2
This package contains the gtk2 gwenhywfar GUI backend.

%package gui-qt4
Summary: Gwenhywfar GUI framework for Qt4
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
%description gui-qt4
This package contains the qt4 gwenhywfar GUI backend.


%prep
%setup -q -n %{name}-%{version}
# Port gwenhywfar-config to pkgconfig
%patch -p1 -b .pkgconfig
%patch2 -p1 -b .gcc47

%build
%configure --disable-static --with-openssl-libs=%{_libdir} \
	--with-qt4-libs=%{_qt4_libdir} --with-qt4-includes=%{_qt4_headerdir}
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# use system ca-certificates
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/ca-bundle.crt
ln -sf %{_sysconfdir}/pki/tls/certs/ca-bundle.crt \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/ca-bundle.crt

find $RPM_BUILD_ROOT -name *.la -exec rm -f {} \;

%find_lang %{name}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%post gui-gtk2 -p /sbin/ldconfig

%post gui-qt4 -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%postun gui-gtk2 -p /sbin/ldconfig

%postun gui-qt4 -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog
%{_bindir}/gct-tool
%{_libdir}/*.so.*
%{_libdir}/%{name}
%{_datadir}/%{name}
%exclude %{_datadir}/%{name}/typemaker*
%exclude %{_libdir}/*gui-*.so.*

%files devel
%defattr(-,root,root)
%exclude %{_bindir}/gct-tool
%{_bindir}/*
%{_includedir}/gwenhywfar4
%{_libdir}/*.so
%{_libdir}/cmake/gwengui-cpp-*/
%{_libdir}/cmake/gwengui-qt4-*/
%{_libdir}/cmake/gwenhywfar-*/
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/gwenhywfar.m4
%{_datadir}/%{name}/typemaker*

%files gui-gtk2
%defattr(-,root,root)
%{_libdir}/libgwengui-gtk2.so.*

%files gui-qt4
%defattr(-,root,root)
%{_libdir}/libgwengui-qt4.so.*
%{_libdir}/libgwengui-cpp.so.*

%changelog
* Tue Jul 26 2016 Rex Dieter <rdieter@fedoraproject.org> - 4.15.3-2
- BR: cmake , for cmake() auto-generated Provides

* Thu Jul 07 2016 Bill Nottingham <notting@splat.cc> - 4.15.3-1
- update to 4.15.3

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.13.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Dec 11 2015 Bill Nottingham <notting@splat.cc> - 4.13.1-5
- Use system ca-certificates (#1272503, <yselkowi@redhat.com>)
- Fix build (#1239551)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.13.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 4.13.1-3
- Rebuilt for GCC 5 C++11 ABI change

* Wed Apr  1 2015 Bill Nottingham <notting@splat.cc> - 4.13.1-2
- hardcode some dependencies in -devel package to work around #1207945

* Mon Mar 23 2015 Robert Scheck <robert@fedoraproject.org> - 4.13.1-1
- update to latest upstream

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.10.0-0.4.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.10.0-0.3.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 22 2014 Tomas Mraz <tmraz@redhat.com> - 4.10.0-0.2.beta
- rebuilt with new libgcrypt

* Fri Jan 31 2014 Bill Nottingham <notting@redhat.com> - 4.10.0-0.1.beta
- update to latest upstream

* Wed Jan 15 2014 Bill Nottingham <notting@redhat.com> - 4.9.0-0.2.beta
- update to latest upstream

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 23 2013 Bill Nottingham <notting@redhat.com> - 4.3.3-1
- update to latest upstream

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 19 2012 Bill Nottingham <notting@redhat.com> - 4.3.1-2
- update to latest upstream

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct  7 2011 Bill Nottingham <notting@redhat.com> - 4.3.0-1
- update to latest upstream

* Fri Feb 11 2011 Bill Nottingham <notting@redhat.com> - 4.0.5-1
- update to latest upstream

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.11.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 21 2010 Bill Nottingham <notting@redhat.com> - 3.11.3-2
- update to latest upstream
- shuffle some files between main and devel package

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 3.7.2-4
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr 15 2009 Bill Nottingham <notting@redhat.com> - 3.7.2-2
- buildrequire openssl-devel, for gct-tool (#495813)

* Thu Mar  5 2009 Bill Nottingham <notting@redhat.com> - 3.7.2-1
- update to 3.7.2

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Sep  9 2008 Bill Nottingham <notting@redhat.com> - 3.4.1-1
- update to 3.4.1

* Thu Feb 14 2008 Bill Nottingham <notting@redhat.com> - 2.6.2-2
- rebuild with gcc-4.3

* Tue Jan 15 2008 Bill Nottingham <notting@redhat.com> - 2.6.2-1
- update to 2.6.2

* Wed Dec  5 2007 Bill Nottingham <notting@redhat.com> - 2.6.1-3
- rebuild for new openssl

* Wed Oct 10 2007 Bill Nottingham <notting@redhat.com> - 2.6.1-2
- fix build, rebuild for buildid

* Fri Aug  3 2007 Bill Nottingham <notting@redhat.com>
- tweak license tag

* Wed Jul 11 2007 Bill Nottingham <notting@redhat.com> - 2.6.1-1
- update to 2.6.1

* Mon Jun 11 2007 Bill Nottingham <notting@redhat.com> - 2.6.0-1
- update to 2.6.0

* Mon Mar 19 2007 Bill Nottingham <notting@redhat.com> - 2.5.4-1
- update to 2.5.4

* Thu Feb 22 2007 Bill Nottingham <notting@redhat.com> - 2.3.0-7
- build for Extras

* Wed Jan 10 2007 Bill Nottingham <notting@redhat.com> - 2.3.0-6
- make gwen-public-ca.crt %%config(noreplace)

* Tue Jan  9 2007 Bill Nottingham <notting@redhat.com> - 2.3.0-5
- spec tweaks

* Thu Sep  7 2006 Bill Nottingham <notting@redhat.com> - 2.3.0-4
- rebuild for fixed debuginfo (#205501)

* Tue Sep  5 2006 Bill Nottingham <notting@redhat.com> - 2.3.0-3
- fix multilib conflicts (#205213)

* Fri Jul 14 2006 Bill Nottingham <notting@redhat.com> - 2.3.0-2
- rather than modifying the m4 file, make gwenhywfar-config use pkgconfig

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.3.0-1.1
- rebuild

* Tue Jul 11 2006 Bill Nottingham <notting@redhat.com> - 2.3.0-1
- update to 2.3.0

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.99.2-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.99.2-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Dec 22 2005 Bill Nottingham <notting@redhat.com> 1.99.2-1
- update to 1.99.2
- use the pkgconfig file, not gwenhywfar-config

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov  9 2005 Tomas Mraz <tmraz@redhat.com> 1.7.2-3
- rebuilt against new openssl

* Wed Mar  2 2005 Bill Nottingham <notting@redhat.com> 1.7.2-2
- rebuild against new openssl

* Wed Feb  9 2005 Bill Nottingham <notting@redhat.com> 1.7.2-1
- initial packaging, adopt upstream package
